SDL_SetWindowsMessageHook(3)

NAME
SDL_SetWindowsMessageHook - Set a callback for every Windows message, run before TranslateMessage().

HEADER FILE
Defined in SDL3/SDL_system.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_SetWindowsMessageHook(SDL_WindowsMessageHook callback, void *userdata);

DESCRIPTION
The callback may modify the message, and should return SDL_TRUE if the message should continue to be processed, or SDL_FALSE to prevent further processing.

FUNCTION PARAMETERS

callback
    The SDL_WindowsMessageHook
     function to call.

userdata
    a pointer to pass to every iteration of callback

AVAILABILITY
This function is available since SDL 3.0.0.